Table of Contents

Class: Looping | Twisted-0.19.0/twisted/python/delay.py
--- | ---
Base class for looping callbacks.
Methods |
--- | ---
__init__ __stopped loop rebuildUpdate stop
| __init__
    __init__ (
            self,
            ticks,
            func,
            delayed,
            )
### Looping(ticks,func,delayed) This initializer is only called internally.
| __stopped
    __stopped ( self )
(internal) I've been stopped; break potential circular references.
| loop
    loop (
            self,
            *args,
            *kw,
            )
call my function with the given arguments, then reschedule me
| rebuildUpdate
    rebuildUpdate ( self,  updater )
| stop
    stop ( self )
Externally stop a looped event from recurring.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0